## gegl-lookup

gegl-lookup

## Functions

gfloat | (*GeglLookupFunction) ()
GeglLookup * | gegl_lookup_new_full ()
GeglLookup * | gegl_lookup_new ()
void | gegl_lookup_free ()
gfloat | gegl_lookup ()

## Types and Values

#define | GEGL_LOOKUP_MAX_ENTRIES

## Description

## Functions

### GeglLookupFunction ()

    gfloat
    (*GeglLookupFunction) (gfloat value,
                           gpointer data);

### gegl_lookup_new_full ()

    GeglLookup *
    gegl_lookup_new_full (GeglLookupFunction function,
                          gpointer data,
                          gfloat start,
                          gfloat end,
                          gfloat precision);

[skip]

#### Parameters

function | The function to build a lookup for |
data | A user data pointer passed to lookup calls |
start | Lower bound of the lookup |
end | Upper bound of the lookup |
precision | The precision of the lookup table |

#### Returns

a GeglLookup

### gegl_lookup_new ()

    GeglLookup *
    gegl_lookup_new (GeglLookupFunction function,
                     gpointer data);

[skip]

#### Parameters

function | The function to build a lookup for |
data | A user data pointer passed to lookup calls |

#### Returns

a GeglLookup

### gegl_lookup_free ()

    void
    gegl_lookup_free (GeglLookup *lookup);

[skip]

#### Parameters

lookup | GeglLookup to free |

### gegl_lookup ()

    gfloat
    gegl_lookup (GeglLookup *lookup,
                 gfloat number);

## Types and Values

### GEGL_LOOKUP_MAX_ENTRIES

    #define GEGL_LOOKUP_MAX_ENTRIES   (819200)